package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.menu.domain.MenuQuery;
import com.ruoyi.ss.menu.domain.MenuVO;
import com.ruoyi.ss.menu.service.IMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * app前端菜单Controller
 *
 * @author qzz
 * @date 2025-01-16
 */
@RestController
@RequestMapping("/app/appMenu")
public class AppMenuController extends BaseController
{
    @Autowired
    private IMenuService ssMenuService;

    /**
     * 查询前端菜单列表
     */
    @GetMapping("/allList")
    public AjaxResult allList(MenuQuery query) {
        List<MenuVO> list = ssMenuService.selectSsMenuList(query);
        return success(list);
    }

}
