package com.ruoyi.common.constant;


/**
 * 业务常量信息
 *
 * @author ruoyi
 */
public class ServiceConstants {

    /**----------------------------订单类型start----------------------------*/

    /**
     * 订单类型: 1-茶室订单
     */
    public static final String ORDER_TYPE_TEA = "1";

    /**
     * 订单类型: 2-棋牌订单
     */
    public static final String ORDER_TYPE_MAHJONG = "2";

    /**
     * 订单类型: 3-台球订单
     */
    public static final String ORDER_TYPE_BILLIARDS = "3";

    /**
     * 订单类型: 4-其他订单
     */
    public static final String ORDER_TYPE_OTHER = "4";

    /**
     * 订单类型: 5-卡券订单
     */
    public static final String ORDER_TYPE_CARD = "5";

    /**----------------------------订单类型end----------------------------*/

    /**----------------------------卡券订单类型start----------------------------*/
    /**
     * 卡券订单类型: 1-储值卡
     */
    public static final String COUPON_ORDER_TYPE_STORED_VALUE_CARD = "1";

    /**
     * 卡券订单类型: 2-小时卡
     */
    public static final String COUPON_ORDER_TYPE_HOUR_CARD = "2";

    /**
     * 卡券订单类型: 3-团购券
     */
    public static final String COUPON_ORDER_TYPE_GROUP_BUYING_COUPON = "3";

    /**
     * 卡券订单类型: 4-次卡
     */
    public static final String COUPON_ORDER_TYPE_TIMES_CARD = "4";
    /**----------------------------卡券订单类型end----------------------------*/

    /**----------------------------下单类型start----------------------------*/

    /**
     * 订单类型: 1-预订单
     */
    public static final String ORDER_TYPE_RESERVE = "1";

    /**
     * 订单类型: 2-续单
     */
    public static final String ORDER_TYPE_REORDER = "2";

    /**----------------------------下单类型end----------------------------*/


    /**----------------------------订单号前缀start----------------------------*/

    /**
     * 订单类型: cs-茶室订单
     */
    public static final String ORDER_TYPE_TEA_PREFIX = "cs";

    /**
     * 订单类型: qp-棋牌订单
     */
    public static final String ORDER_TYPE_MAHJONG_PREFIX = "qp";

    /**
     * 订单类型: tq-台球订单
     */
    public static final String ORDER_TYPE_BILLIARDS_PREFIX = "tq";

    /**
     * 订单类型: qt-其他订单
     */
    public static final String ORDER_TYPE_OTHER_PREFIX = "qt";

    /**
     * 订单类型: xd-统一续单前缀
     */
    public static final String ORDER_TYPE_REORDER_PREFIX = "xd";

    /**
     * 订单类型: xdcs-续单茶室
     */
    public static final String ORDER_TYPE_TEA_REORDER_PREFIX = "xdcs";

    /**
     * 订单类型: xdqp-续单棋牌
     */
    public static final String ORDER_TYPE_MAHJONG_REORDER_PREFIX = "xdqp";

    /**
     * 订单类型: xdtq-续单台球
     */
    public static final String ORDER_TYPE_BILLIARDS_REORDER_PREFIX = "xdtq";

    /**
     * 订单类型: xdqt-续单其他
     */
    public static final String ORDER_TYPE_OTHER_REORDER_PREFIX = "xdqt";

    /**
     * 订单类型: hg-货柜订单
     */
    public static final String ORDER_TYPE_CONTAINER_PREFIX = "hg";

    /**
     * 订单类型: ref-退款申请
     */
    public static final String ORDER_TYPE_REFUND_PREFIX = "ref";

    /**
     * 订单类型: card-卡券订单
     */
    public static final String ORDER_TYPE_CONTAINER_REORDER_PREFIX = "card";

    /**----------------------------订单类型end----------------------------*/
    /**----------------------------支付场景start----------------------------*/
    /** 支付场景： 1-骑行支付,2-取消预约支付,3-套餐支付,4-押金支付  */
    /**
     * 支付场景: 1-骑行支付
     */
    public static final String BUSINESS_TYPE_RIDING = "1";

    /**
     * 支付场景: 2-取消预约支付
     */
    public static final String BUSINESS_TYPE_APPOINTMENT = "2";

    /**
     * 支付场景: 3-套餐支付
     */
    public static final String BUSINESS_TYPE_MEAL = "3";

    /**
     * 支付场景: 4-押金支付
     */
    public static final String BUSINESS_TYPE_DEPOSIT = "4";
    /**----------------------------支付场景end----------------------------*/

    /**----------------------------订单状态start----------------------------*/
    /**  状态：0-待支付；1-支付中、2-待使用、3-使用中、4-已完成、5-超时自动取消、6-用户取消、7-退款中、8-已退款、9-用户结束订单
     * 订单状态:0-待支付
     */
    public static final String ORDER_STATUS_TO_BE_PAID = "0";

    /**
     * 订单状态:1-支付中
     */
    public static final String ORDER_STATUS_IN_PAY = "1";

    /**
     * 订单状态:2-待使用
     */
    public static final String ORDER_STATUS_PAYMENT_SUCCESS = "2";

    /**
     * 订单状态:3-使用中
     */
    public static final String ORDER_STATUS_IN_USE = "3";

    /**
     * 订单状态:4-已完成
     */
    public static final String ORDER_STATUS_COMPLETED = "4";

    /**
     * 订单状态:5-超时自动取消
     */
    public static final String ORDER_STATUS_AUTO_CANCEL = "5";

    /**
     * 订单状态:6-用户取消
     */
    public static final String ORDER_STATUS_USER_CANCE = "6";

    /**
     * 订单状态:7-退款中
     */
    public static final String ORDER_STATUS_REFUNDING = "7";

    /**
     * 订单状态:8-已退款
     */
    public static final String ORDER_STATUS_REFUNDED = "8";

    /**
     * 订单状态:9-用户结束订单
     */
    public static final String ORDER_STATUS_USER_FINISH = "9";

    /**----------------------------订单状态end----------------------------*/

    /**----------------------------卡券订单状态start----------------------------*/
    /**
     * 卡券订单状态: 0-待支付
     */
    public static final String COUPON_ORDER_STATUS_TO_BE_PAID = "0";

    /**
     * 卡券订单状态: 1-支付中
     */
    public static final String COUPON_ORDER_STATUS_IN_PAY = "1";

    /**
     * 卡券订单状态: 2-待使用
     */
    public static final String COUPON_ORDER_STATUS_PENDING_USE = "2";

    /**
     * 卡券订单状态: 4-已使用
     */
    public static final String COUPON_ORDER_STATUS_USED = "4";

    /**
     * 卡券订单状态: 5-已过期
     */
    public static final String COUPON_ORDER_STATUS_EXPIRED = "5";
    /**----------------------------卡券订单状态end----------------------------*/


    /**----------------------------支付状态start----------------------------*/

    /**
     * 支付状态:1-待支付，2-支付中，3-支付成功，4-已取消
     * 支付状态: 1-待支付
     */
    public static final String ORDER_PAY_STATUS_NON_PAYMENT = "1";

    /**
     * 支付状态: 2-支付中
     */
    public static final String ORDER_PAY_STATUS_PAYING = "2";

    /**
     * 支付状态: 3-支付成功
     */
    public static final String ORDER_PAY_STATUS_PAID = "3";

    /**
     * 支付状态: 4-已取消
     */
    public static final String ORDER_PAY_STATUS_CANCELED = "4";

    /**----------------------------支付状态end----------------------------*/

    /**----------------------------类型start----------------------------*/
    /** 支付方式：wx-微信，alipay-支付宝，ye-余额支付 */
    /**
     * 支付方式: wx-微信
     */
    public static final String PAY_TYPE_WX = "wx";

    /**
     * 支付方式: alipay-支付宝
     */
    public static final String PAY_TYPE_ALIPAY = "alipay";

    /**
     * 支付方式: ye-余额支付
     */
    public static final String PAY_TYPE_YE = "ye";

    /**
     * 支付方式: tmwx-太米微信
     */
    public static final String PAY_TYPE_TMWX = "tmwx";
    /**----------------------------支付类型end----------------------------*/

    /**----------------------------类型start----------------------------*/
    /** 套餐：1-按小时计费；2-自定义模板 */
    /**
     * 套餐: 1-押金模式
     */
    public static final String CHARGE_MODE_HOURLY = "1";

    /**
     * 套餐: 2-套餐模式
     */
    public static final String CHARGE_MODE_CUSTOM_TEMPLATE = "2";

    /**----------------------------套餐end----------------------------*/


    /**----------------------------车辆状态start----------------------------*/
    /** 车辆状态: 0 未绑定，1-正常，2-已绑定(自用) 3-租赁中，4-临时锁车； 5-临时分享中 6-调度中  8 未上架
     *  个人用户使用时: 0 未绑定  2-已绑定(自用)  5-临时分享中
     *  商家使用时: 0 未绑定 1-正常(待租)，3-租赁中，4-临时锁车； 6-调度中   8 未上架
     * */
    /**
     * 车辆状态: 0 未绑定
     */
    public static final String VEHICLE_STATUS_NOT_BAND = "0";

    /**
     * 车辆状态: 1-正常  待骑行
     */
    public static final String VEHICLE_STATUS_NORMAL = "1";

    /**
     * 车辆状态: 2-已绑定(自用)
     */
    public static final String VEHICLE_STATUS_BOUND = "2";

    /**
     * 车辆状态: 3-使用中  骑行中
     */
    public static final String VEHICLE_STATUS_IN_USING = "3";

    /**
     * 车辆状态: 4-临时停车
     */
    public static final String VEHICLE_STATUS_TEMPORARILY_LOCK = "4";

    /**
     * 车辆状态: 5-临时分享中
     */
    public static final String VEHICLE_STATUS_BE_SHARING = "5";

    /**
     * 车辆状态: 6-调度中
     */
    public static final String VEHICLE_STATUS_SCHEDULING = "6";

    /**
     * 车辆状态: 8 未上架  回仓库
     */
    public static final String VEHICLE_STATUS_NOT_LISTING = "8";


    /**----------------------------车辆状态（中文）start----------------------------*/

    /** 车辆状态: 0 未上架，1-正常，2-预约中，3-骑行中，4-临时锁车，6-换电中，9-废弃  */
    /**
     * 车辆状态: 0 未上架
     */
    public static final String VEHICLE_STATUS_NOT_LISTING_STR = "未上架";

    /**
     * 车辆状态: 1-正常
     */
    public static final String VEHICLE_STATUS_NORMAL_STR = "待租";

    /**
     * 车辆状态: 2-已绑定
     */
    public static final String VEHICLE_STATUS__BOUND_STR = "已绑定";

    /**
     * 车辆状态: 3-使用中
     */
    public static final String VEHICLE_STATUS_IN_USING_STR = "使用中";

    /**
     * 车辆状态: 4-临时停车
     */
    public static final String VEHICLE_STATUS_TEMPORARILY_LOCK_STR = "使用中";

    /**
     * 车辆状态: 5-临时分享
     */
    public static final String VEHICLE_STATUS_TEMPORARILY_SHARING = "临时分享中";

    /**
     * 车辆状态: 9-废弃
     */
    public static final String VEHICLE_STATUS_ABANDON_STR = "已废弃";


    /**----------------------------车辆状态（中文）end----------------------------*/

    /**----------------------------锁状态start----------------------------*/
    /**
     * 锁状态: 1-开
     */
    public static final String LOCK_STATUS_OPEN= "1";

    /**
     * 锁状态: 0-关
     */
    public static final String LOCK_STATUS_CLOSE= "0";

    /**----------------------------锁状态end----------------------------*/

    /**----------------------------在线状态start----------------------------*/
    /**
     * 在线状态: 0-离线
     */
    public static final String VEHICLE_STATUS_OFFLINE = "0";

    /**
     * 在线状态: 0-在线
     */
    public static final String VEHICLE_STATUS_ONLINE = "1";

    /**----------------------------在线状态end----------------------------*/

    /**----------------------------工单状态start----------------------------*/
    /**  工单状态 状态：1-待派工，2-工单中，3-已完成*/
    /**
     * 工单状态: 1-待派工  等待分配
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_ALLOCATION = "1";

    /**
     * 工单状态: 2-换电中
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_UNDER_WAY = "2";

    /**
     * 工单状态: 3-维修中
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_REPAIR = "3";

    /**
     * 工单状态: 4-已完成
     */
    public static final String REPLACEMENT_ELECTRICITY_STATUS_COMPLETED = "4";

    /**----------------------------工单状态end----------------------------*/

    /**----------------------------工单是否有效start----------------------------*/
    /**  是否有效：0-无效，1-有效*/
    /**
     * 是否有效：0-无效
     */
    public static final String REPLACEMENT_ELECTRICITY_IS_EFFECTIVE_NO = "0";

    /**
     * 是否有效：1-有效
     */
    public static final String REPLACEMENT_ELECTRICITY_IS_EFFECTIVE_YES = "1";

    /**----------------------------工单工单是否有效end----------------------------*/

    /**----------------------------操作类型start----------------------------*/
    /**  操作类型:1-提交；2-审核；3-维修 */
    /**
     * 操作类型：1-提交
     */
    public static final String OPERATION_TYPE_SUBMIT = "1";

    /**
     * 操作类型：2-审核
     */
    public static final String OPERATION_TYPE_AUDIT = "2";

    /**
     * 操作类型：2-维修
     */
    public static final String OPERATION_TYPE_REPAIR = "3";


    /**----------------------------操作类型end----------------------------*/

    /**----------------------------工单类型start----------------------------*/
    /**  类型：1-维修工单；2-换电工单 */
    /**
     * 操作类型：1-维修工单
     */
    public static final String ADMIN_ORDER_TYPE_REPAIR = "1";

    /**
     * 操作类型：2-换电工单
     */
    public static final String ADMIN_ORDER_TYPE_REPLACEMENT = "2";


    /**----------------------------工单类型end----------------------------*/

    /**----------------------------批量操作类型tart----------------------------*/
    /**  批量操作类型： disable-禁用 enable-解禁  inStash-回仓  outStash-出仓*/
    /**
     * 批量操作类型：disable-禁用
     */
    public static final String BATCH_OPERATION_TYPE_DISABLE = "disable";

    /**
     * 批量操作类型：enable-解禁
     */
    public static final String BATCH_OPERATION_TYPE_ENABLE = "enable";

    /**
     * 批量操作类型：inStash-回仓
     */
    public static final String BATCH_OPERATION_TYPE_INSTASH = "inStash";

    /**
     * 批量操作类型：outStash-出仓
     */
    public static final String BATCH_OPERATION_TYPE_OUTSTASH = "outStash";


    /**----------------------------批量操作类型end----------------------------*/

    /**----------------------------行程记录类型tart----------------------------*/
    /**  类型：1-开锁骑行；2-临时锁车；3-临时解锁；4-还车关锁 */
    /**
     * 批量操作类型：1-开锁骑行
     */
    public static final String TRIP_LOG_TYPE_UNLOCK_RIDE = "1";

    /**
     * 批量操作类型：2-临时锁车
     */
    public static final String TRIP_LOG_TYPE_TEMPORARILY_LOCK = "2";

    /**
     * 批量操作类型：3临时解锁
     */
    public static final String TRIP_LOG_TYPE_TEMPORARILY_UNLOCK = "3";

    /**
     * 批量操作类型：4-还车关锁
     */
    public static final String TRIP_LOG_TYPE_RETRUN_LOCK = "4";


    /**----------------------------行程记录类型end----------------------------*/
    /**----------------------------退款类型start----------------------------*/
    /**  退款类型:1-系统退款；2-押金退款
    /**
     * 退款类型：1-系统退款
     */
    public static final String REFUND_TYPE_SYSTEM = "1";

    /**
     * 退款类型：2-押金退款
     */
    public static final String REFUND_TYPE_DEPOSIT = "2";

    /**
     * 退款类型：3-押金抵扣退款
     */
    public static final String REFUND_TYPE_DEPOSIT_DEDUCTION = "3";


    /**----------------------------退款类型end----------------------------*/

    /**----------------------------停车区类型start----------------------------*/
    /**  停车区类型：1. 停车区；2-禁停区；3-禁行区
     /**
     * 停车区类型：1-停车区
     */
    public static final String PARKING_AREA_TYPE_PARKFING = "1";

    /**
     * 停车区类型：1-禁停区
     */
    public static final String PARKING_AREA_TYPE_NO_PARKFING = "2";

    /**
     * 停车区类型：1-禁行区
     */
    public static final String PARKING_AREA_TYPE_BANNED_RIDING = "3";

    /**----------------------------停车区类型end----------------------------*/


    /**----------------------------套餐start----------------------------*/
    /**  套餐：1-起步价计费  2-区间计费
     /**
     * 套餐：1-起步价计费
     */
    public static final String RIDING_RULE_STARTING_PRICE_MODE = "1";

    /**
     * 套餐：2-区间计费
     */
    public static final String RIDING_RULE_INTERVAL_MODE = "2";

    /**----------------------------套餐end----------------------------*/

    /**----------------------------租赁单位start----------------------------*/
    /**  租赁单位：minutes-分钟；hours-小时，day-天
     /**
     * 租赁单位：minutes-分钟
     */

    public static final String RENTAL_UNIT_MINUTES = "minutes";
    /**
     * 租赁单位：hours-小时
     */
    public static final String RENTAL_UNIT_HOURS = "hours";

    /**
     * 租赁单位：day-天
     */
    public static final String RENTAL_UNIT_DAY = "day";

    /**----------------------------租赁单位end----------------------------*/

    /**----------------------------计费周期start----------------------------*/
    /**  计费周期：1-订单生成后__小时 2-自定义时刻 */
     /**
     * 计费周期：1-订单生成后__小时
     */
    public static final String CHARGING_CYCLE_HOUR = "1";

    /**
     * 计费周期：2-自定义时刻
     */
    public static final String CHARGING_CYCLE_CUSTOM = "2";

    /**----------------------------计费周期end----------------------------*/

    /**----------------------------充值状态start----------------------------*/
    /**  充值状态:1-充值成功;2-退款成功； */
    /**
     * 充值状态：1-充值成功
     */
    public static final String RECHARGE_STATUS_SUCCESS = "1";

    /**
     * 充值状态：2-退款成功
     */
    public static final String RECHARGE_STATUS_REFUND_SUCCESS = "2";

    /**----------------------------充值状态end----------------------------*/

    /**----------------------------收支类型start----------------------------*/
    /**  收支类型：1-收入；2-支出 */
    /**
     * 充值状态：1-收入
     */
    public static final String FLOW_TYPE_INCOME = "1";

    /**
     * 充值状态：2-支出
     */
    public static final String FLOW_TYPE_DISBURSE = "2";

    /**----------------------------收支类型end----------------------------*/

    /**----------------------------运营时间start----------------------------*/
    /** 运营时间:1-全天；2-自定义 */
    /**
     * 运营时间：1-全天
     */
    public static final String AREA_TIME_ALL = "1";

    /**
     * 运营时间：2-自定义
     */
    public static final String AREA_TIME_CUSTOM= "2";

    /**----------------------------运营时间end----------------------------*/

    /**----------------------------是否已实名start----------------------------*/

    /** 是否认证：0-未认证；1-已认证 */
    public static final String IS_AUTHENTICATION_NO = "0";

    public static final String IS_AUTHENTICATION_YES = "1";
    /**----------------------------是否已实名start----------------------------*/

    /**----------------------------分账类型start----------------------------*/

    /** 分账类型：1-合伙人；2-平台服务费 */
    public static final String PROFITSHARING_TYPE_PARTNER = "1";

    public static final String PROFITSHARING_TYPE_PLATFORM = "2";
    /**----------------------------分账类型start----------------------------*/

    /**----------------------------分账状态start----------------------------*/

    /** 分账状态：0-未出账 */
    public static final String DIVIDEND_STATUS_UNPAID = "0";

    /** 分账状态：1-已分成 */
    public static final String DIVIDEND_STATUS_PAID = "1";

    /**----------------------------分账状态end----------------------------*/


    /**----------------------------退款类型start----------------------------*/
    /**  还车类型:1-正常还车；2-辅助还车
     /**
     * 退款类型：1-正常还车
     */
    public static final String RETURN_TYPE_NORMAL = "1";

    /**
     * 退款类型：2-辅助还车
     */
    public static final String RETURN_TYPE_SUBSIDIARY = "2";


    /**----------------------------退款类型end----------------------------*/
//    /**----------------------------提现状态start----------------------------*/
//    /** 提现状态:0-提现申请，1-通过，2-驳回 */
//    /**
//     * 提现状态:申请
//     */
//    public static final String WITHDRAW_STATUS_APPLY = "0";
//
//    /**
//     * 提现状态:通过
//     */
//    public static final String WITHDRAW_STATUS_PASS = "1";
//
//    /**
//     * 提现状态:驳回
//     */
//    public static final String WITHDRAW_STATUS_REJECT = "2";
//    /**----------------------------提现状态end----------------------------*/
    /**----------------------------提现方式start----------------------------*/
    /** 提现方式：1-线下转账；2-微信支付 */
    /**
     * 提现状态:1-线下转账
     */
    public static final String WITHDRAW_METHOD_OFFLINE_TRANSFER = "1";

    /**
     * 提现状态:2-微信支付
     */
    public static final String WITHDRAW_METHOD_WX = "2";

    /**----------------------------提现方式end----------------------------*/

    /**----------------------------是否押金抵扣start----------------------------*/
    /**  是否押金抵扣：0-否；1-是 */
    /**
     * 是否押金抵扣:否
     */
    public static final String NO_DEPOSIT_DEDUCTION = "0";
    /**
     * 是否押金抵扣:是
     */
    public static final String IS_DEPOSIT_DEDUCTION = "1";
    /**----------------------------是否押金抵扣end----------------------------*/

    /**----------------------------所属人类型start----------------------------*/
    /**  所属人类型：1-运营商；2-合伙人 */
    /**
     * 所属人类型：1-运营商
     */
    public static final String OWNER_TYPE_OPERATOR = "1";
    /**
     * 所属人类型:2-合伙人
     */
    public static final String OWNER_TYPE_PARTNER = "2";
    /**----------------------------所属人类型end----------------------------*/

    /**----------------------------还车是否拍照审核start----------------------------*/
    /** 还车是否拍照审核：0-否；1-是 */
    /**
     * 还车是否拍照审核:否
     */
    public static final String RETURN_VERIFY_NO = "0";
    /**
     * 还车是否拍照审核:是
     */
    public static final String RETURN_VERIFY_YES = "1";
    /**----------------------------还车是否拍照审核end----------------------------*/


    /**----------------------------提现状态start----------------------------*/
    /** 状态： 0-审核中，1-审核通过，2-拒绝，3-打款中，4已打款，5-打款失败 */
    /**
     * 0-审核中
     */
    public static final String WITHDRAW_STATUS_APPLY = "0";
    /**
     * 1-审核通过
     */
    public static final String WITHDRAW_STATUS_PASS = "1";
    /**
     * 2-拒绝
     */
    public static final String WITHDRAW_STATUS_REJECT = "2";
    /**
     * 3-打款中
     */
    public static final String WITHDRAW_STATUS_IN_PAYMENT = "3";

    /**
     * 4-已打款
     */
    public static final String WITHDRAW_STATUS_PAID = "4";
    /**
     * 5-打款失败
     */
    public static final String FLOW_STATUS_FAIL = "5";
    /**----------------------------提现状态end----------------------------*/

    /**----------------------------提现类型start----------------------------*/
    /**
     * 1-线上
     */
    public static final String WITHDRAW_TYPE_ONLINE = "1";
    /**
     * 2-线下
     */
    public static final String WITHDRAW_TYPE_OFFLINE = "2";
    /**----------------------------提现类型end----------------------------*/

    /**----------------------------资金流水状态start----------------------------*/
    /** 短信类型:1-还车审核通知;2-用户付款通知;3-提现申请通知 */
    /**
     * 1-还车审核通知
     */
    public static final String MSG_TYPE_VEHICLE_RETURN_AUDIT_NOTIFY = "1";
    /**
     * 2-用户付款通知
     */
    public static final String MSG_TYPss_user_PAYMENT_NOTIFY = "2";

    /**
     * 3-提现申请通知
     */
    public static final String MSG_TYPE_WITHDRAWAL_NOTIFY = "3";
    /**----------------------------资金流水状态end----------------------------*/

    /**----------------------------提现手续费类型start----------------------------*/
    /** 提现手续费类型:1-按比例;2-按每笔 */
    /**
     * 1-按比例
     */
    public static final String HANDLING_CHARGE_TYPE_PERCENT = "1";
    /**
     * 2-按每笔
     */
    public static final String HANDLING_CHARGE_TYPE_PER_STROKE = "2";

    /**----------------------------提现手续费类型end----------------------------*/

    /**----------------------------用户类型start----------------------------*/

    /**
     * 00 - 普通用户
     */
    public static final String USER_TYPE_NORMAL = "00";

    /**
     * 01 - 商户
     */
    public static final String USER_TYPE_MERCHANT = "01";

    /**
     * 02 - 店长
     */
    public static final String USER_TYPE_MANAGER = "02";

    /**
     * 03 - 店员
     */
    public static final String USER_TYPE_CLERK = "03";

    /**
     * 04 - 保洁
     */
    public static final String USER_TYPE_CLEANER = "04";

    /**
     * 05 - 合伙人
     */
    public static final String USER_TYPE_PARTNER = "05";

    /**
     * 09 - 超级管理员
     */
    public static final String USER_TYPE_ADMIN = "09";

    /**----------------------------用户类型end----------------------------*/

    /**----------------------------业务类型start----------------------------*/
    /** 业务类型：1-预定订单收入；2-续单订单收入；4-订单退款5-提现；6-提现失败；8-短信扣费 */
    /** 预定 */
    public static final String RESERVE = "1";
    /** 续单 */
    public static final String REORDER = "2";
    /** 充值 */
    public static final String RECHARGE = "3";
    /** 退款 */
    public static final String REFUND = "4";
    /** 提现 */
    public static final String WITHDRAWAL = "5";
    /** 提现驳回 */
    public static final String WITHDRAWAL_FAILED = "6";
    /** 货柜订单 */
    public static final String PRODUCT_ORDER = "7";
    /** 短信扣费 */
    public static final String SMS_DEDUCTION = "8";
    /** 系统修改 */
    public static final String SYSTEM_MODIFY = "9";
    /**----------------------------业务类型end----------------------------*/

    /**----------------------------订单操作类型start----------------------------*/

    /**
     * 1 - 下单
     */
    public static final String ORDER_OPERATION_PLACE_ORDER = "1";

    /**
     * 2 - 续单
     */
    public static final String ORDER_OPERATION_RENEW_ORDER  = "2";

    /**
     * 3 - 支付
     */
    public static final String ORDER_OPERATION_PAY = "3";

    /**
     * 4 - 结束订单
     */
    public static final String ORDER_OPERATION_RETURN_END = "4";

    /**
     * 5 - 押金退款
     */
    public static final String ORDER_OPERATION_DEPOSIT_REFUND = "5";

    /**
     * 6 - 退款
     */
    public static final String ORDER_OPERATION_REFUND = "6";

    /**
     * 7 - 用户取消
     */
    public static final String ORDER_OPERATION_USER_CANCEL = "7";

    /**
     * 8 - 系统自动取消
     */
    public static final String ORDER_OPERATION_SYSTEM_CANCEL = "8";

    /**----------------------------订单操作类型end----------------------------*/

    /**----------------------------钥匙状态start----------------------------*/
    /**
     * 钥匙状态: 0-新建(待领取)
     */
    public static final String KEY_STATUS_NEW = "0";

    /**
     * 钥匙状态: 2-已领取
     */
    public static final String KEY_STATUS_RECEIVED = "2";

    /**
     * 钥匙状态: 3-已过期
     */
    public static final String KEY_STATUS_EXPIRED = "3";

    /**----------------------------钥匙状态end----------------------------*/

    /**----------------------------是否默认展示设备start----------------------------*/
    /**
     * 是否默认展示设备: 0-否
     */
    public static final String IS_DEFAULT_NO = "0";

    /**
     * 是否默认展示设备: 1-是
     */
    public static final String IS_DEFAULT_YES = "1";

    /**----------------------------是否默认展示设备end----------------------------*/

    /**----------------------------房间类型start----------------------------*/

    /**
     * 房间类型: 1-茶室
     */
    public static final String ROOM_TYPE_TEA = "1";

    /**
     * 房间类型: 2-棋牌室
     */
    public static final String ROOM_TYPE_CHESS = "2";

    /**
     * 房间类型: 3-台球室
     */
    public static final String ROOM_TYPE_BILLIARDS = "3";



    /**----------------------------房间类型end----------------------------*/

    /**----------------------------房间类型2 start----------------------------*/

    /**
     * 房间类型2: 1-包间
     */
    public static final String ROOM_TYPE2_PRIVATE_ROOM = "1";

    /**
     * 房间类型: 2-大厅设施
     */
    public static final String ROOM_TYPE2_LOBBY_DEVICE = "2";


    /**----------------------------房间类型2 end----------------------------*/

    /**----------------------------房间状态start----------------------------*/
    /** 房间状态: 1-空闲中;2-未打扫;3-使用中;4-打扫中;8-下架*/
    /**
     * 房间状态: 1-空闲中
     */
    public static final String ROOM_STATUS_FREE = "1";

    /**
     * 房间状态: 2-未打扫
     */
    public static final String ROOM_STATUS_UNCLEANED = "2";

    /**
     * 房间状态: 3-使用中
     */
    public static final String ROOM_STATUS_INUSE = "3";

    /**
     * 房间状态: 4-打扫中
     */
    public static final String ROOM_STATUS_CLEANING = "3";

    /**
     * 房间状态: 8-下架
     */
    public static final String ROOM_STATUS_OFFLINE = "8";

    /**----------------------------房间状态end----------------------------*/

    /**----------------------------设备投放状态start----------------------------*/

    /**
     * 投放状态: 1-已投放
     */
    public static final String DEVICE_PLACEMENT_STATUS_PLACED = "1";

    /**
     * 投放状态: 0-未投放
     */
    public static final String DEVICE_STATUS_PLACEMENT_NOT_PLACED = "0";

    /**----------------------------设备投放状态end----------------------------*/

    /**----------------------------保洁订单状态start----------------------------*/

    /**
     * 状态: 1-待保洁
     */
    public static final String STATUS_PENDING_CLEANING = "1";

//    /**
//     * 状态: 2-进行中
//     */
//    public static final String STATUS_IN_PROGRESS = "2";

    /**
     * 状态: 3-已完成
     */
    public static final String STATUS_COMPLETED = "3";

    /**----------------------------保洁订单状态end----------------------------*/


    /**----------------------------开锁条件start----------------------------*/

    /**
     * 开锁条件: 1-有当前订单可进入
     */
    public static final String LOCK_CONDITION_CURRENT_ORDER = "1";

    /**
     * 开锁条件: 2-有历史订单可进入
     */
    public static final String LOCK_CONDITION_HISTORICAL_ORDER = "2";

    /**
     * 开锁条件: 3-无条件
     */
    public static final String LOCK_CONDITION_UNCONDITIONAL = "3";

    /**----------------------------开锁条件end----------------------------*/

    /**----------------------------开锁方式start----------------------------*/

    /**
     * 开锁方式: 1-通电开锁
     */
    public static final String LOCK_MODE_POWER_ON = "1";

    /**
     * 开锁方式: 2-断电开锁
     */
    public static final String LOCK_MODE_POWER_OFF = "2";

    /**----------------------------开锁方式end----------------------------*/

    /**----------------------------大厅设施类型start----------------------------*/

    /**
     * 大厅设施类型: 1-麻将机
     */
    public static final String HALL_EQUIPMENT_TYPE_MAHJONG = "1";

    /**
     * 大厅设施类型: 2-台球桌
     */
    public static final String HALL_EQUIPMENT_TYPE_BILLIARDS = "2";

    /**----------------------------大厅设施类型end----------------------------*/

    /**----------------------------设施类型start----------------------------*/

    /**
     * 设施类型: 1-房间门
     */
    public static final String FACILITY_TYPE_ROOM_DOOR = "1";

    /**
     * 设施类型: 2-麻将桌
     */
    public static final String FACILITY_TYPE_MAHJONG_TABLE = "2";

    /**
     * 设施类型: 3-台球桌
     */
    public static final String FACILITY_TYPE_BILLIARD_TABLE = "3";

    /**
     * 设施类型: 4-房间灯
     */
    public static final String FACILITY_TYPE_ROOM_LIGHT = "4";

    /**
     * 设施类型: 5-卫生间门
     */
    public static final String FACILITY_TYPE_TOILET_DOOR = "5";

    /**
     * 设施类型: 6-大门
     */
    public static final String FACILITY_TYPE_GATE = "6";

    /**----------------------------设施类型end----------------------------*/


//    /**----------------------------退款申请状态start----------------------------*/
//
//    /**
//     * 退款申请状态: 1-待处理
//     */
//    public static final String REFUND_STATUS_PENDING = "1";
//
//    /**
//     * 退款申请状态: 2-退款成功
//     */
//    public static final String REFUND_STATUS_SUCCESS = "2";
//
//    /**
//     * 退款申请状态: 3-驳回
//     */
//    public static final String REFUND_STATUS_REJECTED = "3";
//
//    /**----------------------------退款申请状态end----------------------------*/

    /**----------------------------退款订单状态start----------------------------*/

    /**
     * 退款订单状态: 1-退款中
     */
    public static final String REFUND_STATUS_PROCESSING = "1";

    /**
     * 退款订单状态: 2-退款成功
     */
    public static final String REFUND_STATUS_SUCCESS = "2";

    /**
     * 退款订单状态: 3-退款失败
     */
    public static final String REFUND_STATUS_FAILED = "3";

/**----------------------------退款订单状态end----------------------------*/

    /**----------------------------是否已退款start----------------------------*/

    /**
     * 是否已退款: 0-未退款
     */
    public static final String IS_REFUND_STATUS_PENDING = "0";

    /**
     * 是否已退款: 1-已退款
     */
    public static final String IS_REFUND_STATUS_REFUNDED = "1";

    /**----------------------------是否已退款end----------------------------*/

    /**----------------------------首页时间范围start----------------------------*/

    /**
     * 是否已退款: 1-7天
     */
    public static final String TIME_LIMIT_7_DAYS = "1";

    /**
     * 是否已退款: 1-30天
     */
    public static final String TIME_LIMIT_30_DAYS = "2";

    /**----------------------------首页时间范围end----------------------------*/

    /**----------------------------首页时间范围start----------------------------*/

    /**
     * 时间范围: 今天
     */
    public static final String TIME_LIMIT_TODAY = "today";

    /**
     * 时间范围: 本周
     */
    public static final String TIME_LIMIT_WEEK = "week";

    /**
     * 时间范围: 本月
     */
    public static final String TIME_LIMIT_MONTH = "month";

    /**----------------------------首页时间范围end----------------------------*/

    /**----------------------------多店权限start----------------------------*/
    /**  多店权限：1-单店；N-多店 */
    /**
     * 多店权限：1-单店
     */
    public static final String STORE_PERMISSION_SINGLE = "1";

    /**
     * 多店权限：N-多店
     */
    public static final String STORE_PERMISSION_MULTIPLE = "N";

    /**----------------------------多店权限end----------------------------*/

    /**----------------------------充值渠道类型start----------------------------*/

    /**
     * 充值渠道类型: 1-平台渠道
     */
    public static final String PAY_CHANNEL_PLATFORM = "1";

    /**
     * 充值渠道类型: 2-商户专属
     */
    public static final String PAY_CHANNEL_MERCHANT = "2";

    /**----------------------------充值渠道类型end----------------------------*/

    /**----------------------------状态类型 start----------------------------*/

    /**
     * 状态: 1-未使用
     */
    public static final String CARD_STATUS_UNUSED = "1";

    /**
     * 状态: 2-已使用
     */
    public static final String CARD_STATUS_USED = "2";

    /**
     * 状态: 3-已过期
     */
    public static final String CARD_STATUS_EXPIRED = "3";

    /**----------------------------状态类型 end----------------------------*/

    /**----------------------------卡券获取方式 start----------------------------*/

    /**
     * 卡券获取方式: 1-手动领取
     */
    public static final String COUPON_GET_MANUAL = "1";

    /**
     * 卡券获取方式: 2-后台发放
     */
    public static final String COUPON_GET_ADMIN = "2";

    /**
     * 卡券获取方式: 3-平台购买
     */
    public static final String COUPON_GET_PLATFORM_PURCHASE = "3";

    /**
     * 卡券获取方式: 4-第三方购买
     */
    public static final String COUPON_GET_THIRD_PARTY_PURCHASE = "4";

    /**----------------------------卡券获取方式 end----------------------------*/



//    /**----------------------------对账类型start----------------------------*/
//
//    /**
//     * 对账类型: 1-支付
//     */
//    public static final String RECONCILIATION_TYPE_PAY = "1";
//
//    /**
//     * 对账类型: 2-提现
//     */
//    public static final String RECONCILIATION_TYPE_WITHDRAW = "2";
//
//    /**----------------------------对账类型end----------------------------*/


}
