package com.ruoyi.common.core.domain.dto;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 基础配置
 *
 * @author qiuzhenzhao
 */
@Data
public class BasicConfigDTO {

    @ApiModelProperty(value = "保洁时长")
    @NotNull(message = "保洁时长不能为空")
    private Integer cleanDuration;

    @ApiModelProperty(value = "保洁通知:1-通知给商户；2-通知给保洁")
    @NotBlank(message = "保洁通知不能为空")
    private String cleanNotice;

    @ApiModelProperty(value = "取消时长设置")
    @NotNull(message = "取消时长设置不能为空")
    private Integer agoCancel;

    @ApiModelProperty(value = "违约金")
    @NotNull(message = "违约金不能为空")
    private BigDecimal penalty;

    @ApiModelProperty(value = "提前开始使用时间")
    @NotNull(message = "提前开始使用时间")
    private int beforeTime;

    @ApiModelProperty(value = "保洁开关")
    @NotNull(message = "保洁开关")
    private Boolean cleanSwitch;

}
