package com.ruoyi.common.core.domain.dto;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 修改余额dto
 *
 * @author qiuzhenzhao
 */
@Data
public class ModifyBalanceDTO {

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    @NotNull(message = "用户ID不能为空", groups = {ValidGroup.Update.class})
    private Long userId;

    @ApiModelProperty(value = "金额")
    @NotNull(message = "金额不能为空")
    private BigDecimal amount;

    @ApiModelProperty(value = "备注")
    @NotNull(message = "备注不能为空")
    private String remark;

    @ApiModelProperty(value = "类型：1-加账；2-减账")
    @NotNull(message = "类型不能为空")
    private String type;

}
