package com.ruoyi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 同意退款
     */
    PASS,
    /**
     * 拒绝退款
     */
    REJECT,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,

    /**
     * 实名认证
     */
    AUTHENTICATION,
    /**
     * 下单
     */
    CREATEORDER,
    /**
     * 续单
     */
    REORDER,
    /**
     * 卡券
     */
    CARDORDER,
    /**
     * 更换包间
     */
    CHANGEROOM,
    /**
     * 充值
     */
    TOPUP,
    /**
     * 确认支付
     */
    CONFIRMPAY,
    /**
     * 扫码绑定车辆
     */
    BANDDEVICE,
    /**
     * 临时锁车
     */
    LOCK,
    /**
     * 临时解锁
     */
    UNLOCK,
    /**
     * 续单
     */
    RELET,
    /**
     * 还车
     */
    RETURN_VEHICLE,

    /**
     * 订单取消
     */
    ORDERCANCEL,

    /**
     * 结束订单
     */
    ORDEREND,

    /**
     * 开锁
     */
    UNLOCKING,

    /**
     * 车损扣款
     */
    DEDUCTMONEY,

    /**
     * 押金退款
     */
    DEPOSITREFUND,

    /**
     * 商家还车
     */
    MERCHANT_RETURN,

    /**
     * 改价
     */
    EDITPRICE,

    /**
     * 退款
     */
    REFUND,

    /**
     * 车辆上线
     */
    ONLINE,

    /**
     * 车辆下线
     */
    OFFLINE,
    /**
     * 商户提现
     */
    WITHDRAW,
    /**
     * 保存店铺
     */
    SAVESTORE,
    /**
     * 上传收款码
     */
    UPLOADQRCODE,
    /**
     * 更新设备
     */
    REFRESH,
    /**
     * 绑定
     */
    BAND,

    /**
     * 根据mac修改sn
     */
    UPDATESN,

    /**
     * 逻辑删除
     */
    LOGIC_DELETE,

    /**
     * 绑定套餐
     */
    BANDRULE,

    /**
     * 完成保洁
     */
    COMPLETECLEANING,

    /**
     * 重启设备
     */
    REBOOT,
    /**
     * 禁用设备
     */
    DISABLE,
    /**
     * 修改余额
     */
    MODIFYBALANCE,
    /**
     * 验签准备
     */
    PREPARE,
    /**
     * 验签
     */
    VERIFY,
    /**
     * 查询支付结果
     */
    QUERY_PAY_RESULTS
}
