package com.ruoyi.ss.balance.service;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.ss.balance.domain.UserBalance;
import com.ruoyi.ss.balance.domain.UserBalanceVO;
import com.ruoyi.ss.balance.domain.UserBalanceQuery;

/**
 * 用户余额Service接口
 *
 * @author qzz
 * @date 2024-11-26
 */
public interface IUserBalanceService
{
    /**
     * 查询用户余额
     *
     * @param balanceId 用户余额主键
     * @return 用户余额
     */
    public UserBalanceVO selectEUserBalanceByBalanceId(Long balanceId);

    /**
     * 查询用户余额列表
     *
     * @param eUserBalance 用户余额
     * @return 用户余额集合
     */
    public List<UserBalanceVO> selectEUserBalanceList(UserBalanceQuery eUserBalance);

    /**
     * 查询用户余额
     *
     * @param userBalanceQuery 用户余额
     * @return 用户余额集合
     */
    BigDecimal selectUserBalance(UserBalanceQuery userBalanceQuery);

    /**
     * 新增用户余额
     *
     * @param eUserBalance 用户余额
     * @return 结果
     */
    public int insertEUserBalance(UserBalance eUserBalance);

    /**
     * 修改用户余额
     *
     * @param eUserBalance 用户余额
     * @return 结果
     */
    public int updateEUserBalance(UserBalance eUserBalance);

    /**
     * 批量删除用户余额
     *
     * @param balanceIds 需要删除的用户余额主键集合
     * @return 结果
     */
    public int deleteEUserBalanceByBalanceIds(Long[] balanceIds);

    /**
     * 删除用户余额信息
     *
     * @param balanceId 用户余额主键
     * @return 结果
     */
    public int deleteEUserBalanceByBalanceId(Long balanceId);
}
