package com.ruoyi.ss.callback.service;

import com.ruoyi.common.enums.PayChannel;

import javax.servlet.http.HttpServletRequest;
import java.time.LocalDateTime;

/**
 * 订单支付回调 service

 */
public interface ICallbackService {
    /**
     * 微信支付回调
     * @param request 微信回调json
     * @return String
     */
    void weChat(HttpServletRequest request,String payType);

    /**
     * 支付成功后的业务处理
     * @param outTradeNo
     * @return String
     */
    public void businessHandle(String outTradeNo, String payType, LocalDateTime payTime,String bstType);

    /**
     * 微信退款回调
     * @param request 微信回调json
     * @return String
     */
    void weChatRefund(HttpServletRequest request);


}
