package com.ruoyi.ss.carousel.mapper;

import com.ruoyi.ss.carousel.domain.Carousel;
import com.ruoyi.ss.carousel.domain.CarouselQuery;
import com.ruoyi.ss.carousel.domain.CarouselVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 轮播图Mapper接口
 *
 * @author qzz
 * @date 2024-12-13
 */
public interface CarouselMapper
{
    /**
     * 查询轮播图
     *
     * @param carouselId 轮播图主键
     * @return 轮播图
     */
    public CarouselVO selectSsCarouselByCarouselId(Long carouselId);

    /**
     * 查询轮播图列表
     *
     * @param query 轮播图
     * @return 轮播图集合
     */
    public List<CarouselVO> selectSsCarouselList(@Param("query") CarouselQuery query);

    /**
     * 新增轮播图
     *
     * @param ssCarousel 轮播图
     * @return 结果
     */
    public int insertSsCarousel(Carousel ssCarousel);

    /**
     * 修改轮播图
     *
     * @param ssCarousel 轮播图
     * @return 结果
     */
    public int updateSsCarousel(@Param("data") Carousel ssCarousel);

    /**
     * 删除轮播图
     *
     * @param carouselId 轮播图主键
     * @return 结果
     */
    public int deleteSsCarouselByCarouselId(Long carouselId);

    /**
     * 批量删除轮播图
     *
     * @param carouselIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSsCarouselByCarouselIds(Long[] carouselIds);

}
