package com.ruoyi.ss.checkoff.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 核销记录对象 ss_checkoff_records
 *
 * @author qzz
 * @date 2025-03-18
 */
@Data
public class CheckoffRecords extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long checkoffId;

    @Excel(name = "加密码")
    @ApiModelProperty("加密码")
    private String encryptedCode;

    @Excel(name = "token")
    @ApiModelProperty("token")
    private String verifyToken;

    @Excel(name = "抖音核销门店id")
    @ApiModelProperty("抖音核销门店id")
    private String poiId;

    @Excel(name = "卡id")
    @ApiModelProperty("卡id")
    private Long cardId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "核销时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("核销时间")
    private Date checkoffTime;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "验签结果")
    @ApiModelProperty("验签结果")
    private String result;

    @Excel(name = "原价")
    @ApiModelProperty("原价")
    private Integer originalAmount;

    @Excel(name = "划线价")
    @ApiModelProperty("划线价")
    private Integer listMarketAmount;

    @Excel(name = "实际支付金额")
    @ApiModelProperty("实际支付金额")
    private Integer payAmount;

    @Excel(name = "skuId")
    @ApiModelProperty("skuId")
    private String skuId;

}
