package com.ruoyi.ss.commandLog.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 命令日志对象 et_command_log
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
@Data
public class CommandLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 请求url */
    @Excel(name = "请求url")
    private String url;

    /** 命令 */
    @Excel(name = "命令")
    private String command;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** mac */
    @Excel(name = "mac")
    private String mac;

    /** sn */
    @Excel(name = "sn")
    private String sn;

    /** 响应 */
    @Excel(name = "响应")
    private String result;

    /** 回调状态 */
    @Excel(name = "回调状态")
    private Integer code;

    @Excel(name = "操作人")
    @ApiModelProperty("操作人")
    private Long userId;

    @Excel(name = "操作人名称")
    @ApiModelProperty("操作人名称")
    private String userName;

    @Excel(name = "发送命令的原因")
    @ApiModelProperty("发送命令的原因")
    private String reason;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("操作时间")
    private LocalDateTime operaTime;


}
