package com.ruoyi.ss.dividendRefund.service;

import com.ruoyi.ss.dividendRefund.domain.DividendRefundQuery;
import com.ruoyi.ss.dividendRefund.domain.DividendRefundVO;
import com.ruoyi.ss.dividendRefund.domain.DividendRefund;

import java.math.BigDecimal;
import java.util.List;

/**
 * 分成退款记录Service接口
 *
 * @author ruoyi
 * @date 2025-01-25
 */
public interface DividendRefundService
{
    /**
     * 查询分成退款记录
     *
     * @param id 分成退款记录主键
     * @return 分成退款记录
     */
    public DividendRefundVO selectDividendRefundById(Long id);

    /**
     * 查询分成退款记录列表
     *
     * @param dividendRefund 分成退款记录
     * @return 分成退款记录集合
     */
    public List<DividendRefundVO> selectDividendRefundList(DividendRefundQuery dividendRefund);

    /**
     * 新增分成退款记录
     *
     * @param dividendRefund 分成退款记录
     * @return 结果
     */
    public int insertDividendRefund(DividendRefund dividendRefund);

    /**
     * 修改分成退款记录
     *
     * @param dividendRefund 分成退款记录
     * @return 结果
     */
    public int updateDividendRefund(DividendRefund dividendRefund);

    /**
     * 批量删除分成退款记录
     *
     * @param ids 需要删除的分成退款记录主键集合
     * @return 结果
     */
    public int deleteDividendRefundByIds(Long[] ids);

    /**
     * 删除分成退款记录信息
     *
     * @param id 分成退款记录主键
     * @return 结果
     */
    public int deleteDividendRefundById(Long id);

    /**
     * 批量插入分成退款记录
     *
     * @param list 分成退款记录
     * @return 结果
     */
    int batchInsert(List<DividendRefund> list);

    /**
     * 查询分成退款金额
     *
     * @param query 分成退款记录查询条件
     * @return 分成退款金额
     */
    BigDecimal selectSumOfAmount(DividendRefundQuery query);
}
