package com.ruoyi.ss.equipment.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.order.domain.vo.ReservedTimePeriod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class EquipmentVO extends Equipment{

    /* 每小时价格 */
    @ApiModelProperty("每小时价格")
    private BigDecimal hour;

    /* 已售数量 */
    @ApiModelProperty("已售数量")
    private Integer soldNum;

    @Excel(name = "商户")
    @ApiModelProperty("商户")
    private String merchantName;

    /* 最低价格套餐对象 */
    @ApiModelProperty("最低价格套餐对象")
    private FeeRuleVO bottomPriceFeeRule;

    /* 已预定时间段 */
    @ApiModelProperty("已预定时间段")
    private List<ReservedTimePeriod> reservedTimePeriods;

    @ApiModelProperty("设备列表")
    private DeviceVO device;

    @ApiModelProperty("套餐列表")
    private List<FeeRuleVO> feeRuleVOS;

    @ApiModelProperty("设备sn")
    private String sn;
}
