package com.ruoyi.ss.equipment.domain.unified;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 统一设施视图实体类
 */
@Data
public class UnifiedEquipment implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 店铺ID */
    @ApiModelProperty("店铺ID")
    private Long storeId;

    /** 店铺名称 */
    @ApiModelProperty("店铺名称")
    private String storeName;

    /** 商户ID */
    @ApiModelProperty("商户ID")
    private Long merchantId;

    /**
     * 设施类型
     * 1-房间门
     * 2-麻将桌
     * 3-台球桌
     * 4-房间灯
     * 5-卫生间门
     * 6-大门
     */
    @ApiModelProperty("设施类型")
    private String type;

    /**
     * 状态
     * 0-正常
     * 1-停用/下架
     */
    @ApiModelProperty("状态")
    private String status;

    /**
     * 开锁方式
     * 1-通电开锁
     * 2-断电开锁
     */
    @ApiModelProperty("开锁方式")
    private String unlockMode;

    /**
     * 开锁条件
     * 1-有当前订单可进入
     * 2-有历史订单可进入
     * 3-无条件
     */
    @ApiModelProperty("开锁条件")
    private String unlockCondition;

    /** 开锁时长（秒） */
    @ApiModelProperty("开锁时长（秒）")
    private Integer unlockTime;

    /** 设备ID */
    @ApiModelProperty("设备ID")
    private Long deviceId;

    /** 设施名称 */
    @ApiModelProperty("设施名称")
    private String equipmentName;

    /**
     * 投放状态
     * 0-未投放
     * 1-已投放
     */
    @ApiModelProperty("投放状态")
    private String placementStatus;

    /** 对象ID（设施ID/卫生间ID/店铺ID） */
    @ApiModelProperty("对象ID")
    private Long objId;
}
