package com.ruoyi.ss.mapping.service;

import java.util.List;
import com.ruoyi.ss.mapping.domain.StoreMapping;
import com.ruoyi.ss.mapping.domain.StoreMappingVO;
import com.ruoyi.ss.mapping.domain.StoreMappingQuery;

/**
 * 系统与第三方店铺映射关系Service接口
 *
 * @author qzz
 * @date 2025-03-18
 */
public interface IStoreMappingService
{
    /**
     * 查询系统与第三方店铺映射关系
     *
     * @param storeId 系统与第三方店铺映射关系主键
     * @return 系统与第三方店铺映射关系
     */
    public StoreMappingVO selectStoreMappingByStoreId(Long storeId);

    /**
     * 查询系统与第三方店铺映射关系列表
     *
     * @param storeMapping 系统与第三方店铺映射关系
     * @return 系统与第三方店铺映射关系集合
     */
    public List<StoreMappingVO> selectStoreMappingList(StoreMappingQuery storeMapping);

    /**
     * 新增系统与第三方店铺映射关系
     *
     * @param storeMapping 系统与第三方店铺映射关系
     * @return 结果
     */
    public int insertStoreMapping(StoreMapping storeMapping);

    /**
     * 修改系统与第三方店铺映射关系
     *
     * @param storeMapping 系统与第三方店铺映射关系
     * @return 结果
     */
    public int updateStoreMapping(StoreMapping storeMapping);

    /**
     * 批量删除系统与第三方店铺映射关系
     *
     * @param storeIds 需要删除的系统与第三方店铺映射关系主键集合
     * @return 结果
     */
    public int deleteStoreMappingByStoreIds(Long[] storeIds);

    /**
     * 删除系统与第三方店铺映射关系信息
     *
     * @param storeId 系统与第三方店铺映射关系主键
     * @return 结果
     */
    public int deleteStoreMappingByStoreId(Long storeId);
}
