package com.ruoyi.ss.menu.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 前端菜单对象 ss_menu
 *
 * @author qzz
 * @date 2025-01-16
 */
@Data
public class Menu extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long menuId;

    @Excel(name = "菜单名称")
    @ApiModelProperty("菜单名称")
    private String menuName;

    @Excel(name = "父菜单ID")
    @ApiModelProperty("父菜单ID")
    private Long parentId;

    @Excel(name = "显示顺序")
    @ApiModelProperty("显示顺序")
    private Integer orderNum;

    @Excel(name = "显示状态", readConverterExp = "0=显示,1=隐藏")
    @ApiModelProperty("显示状态")
    private String visible;

    @Excel(name = "菜单状态", readConverterExp = "0=正常,1=停用")
    @ApiModelProperty("菜单状态")
    private String status;

    @ApiModelProperty("图标")
    private String icon;

    @ApiModelProperty("url")
    private String url;
}
