package com.ruoyi.ss.order.domain;

import com.ruoyi.ss.app.domain.AppVO;
import com.ruoyi.ss.cardOrder.domain.CardOrder;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.equipment.domain.EquipmentVO;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.order.domain.dto.OrderDTO;
import com.ruoyi.ss.order.domain.dto.ProductDTO;
import com.ruoyi.ss.order.domain.dto.ReOrderDTO;
import com.ruoyi.ss.order.domain.dto.TopUpOrderDTO;
import com.ruoyi.ss.product.domain.ProductVO;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.store.domain.StoreVO;
import com.ruoyi.ss.user.domain.UserVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderBO {

    // 原始参数
    private OrderDTO params;

    // 续单原始参数
    private ReOrderDTO reOrderDTO;

    // 充值订单
    private TopUpOrderDTO topUpOrder;

    // 货柜订单原始参数
    private ProductDTO productDTO;

    // 新订单
    private Order order;

    // 卡券订单
    private CardOrder cardOrder;

    // 原订单
    private OrderVO originalOrder;

    //app用户
    private UserVO user;

    //商户
    private UserVO merchant;

    // 支付渠道
    private ChannelVO channel;

    //房间
    private RoomVO room;

    // 设施
    private EquipmentVO equipment;

    //房间灯（如果是大厅设施则是大厅设备）
    private DeviceVO device;

    //套餐
    private FeeRuleVO feeRule;

    // 店铺
    private StoreVO store;

    //大门
    private DeviceVO gate;

    //商品
    private ProductVO product;
//
//    // 分成详情
//    List<DividendDetail> dividends;

    // 订单类型：订单类型：1-茶室订单；2-棋牌订单；3-台球订单；4-其他订单，5-卡券订单
    private String type;

    // 是否续单：1-预定单；2-续单
    private String reType;

    // 类型：1-房间；2-大厅设施
    private String type2;

    // 平台服务费
    private BigDecimal platformServiceFee;

    // app
    private AppVO app;
}

