package com.ruoyi.ss.order.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

@Data
public class OrderQuery extends Order {

    /** 开始时间*/
    private String startTime;

    /** 结束时间*/
    private String endTime;

    /** 支付开始时间*/
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payStartTime;

    /** 支付结束时间*/
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payEndTime;

    /** 手机号*/
    private String phone;

    /** jscode*/
    private String jscode;

    /** 状态列表 */
    private String[] statusList;

    /** 类型 1-预定单，2-续订单*/
    private String type;

    /** 关键字: 手机号或订单号 */
    private String keywords;

    /** 新包间id */
    private Long newRoomId;

    /** 是否正在使用 */
    @ApiModelProperty("是否正在使用")
    private Boolean isUsing;

    /** 是否已经结束使用 */
    @ApiModelProperty("是否已经结束使用")
    private Boolean isFinished;

}
