package com.ruoyi.ss.order.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.orderOper.domain.OrderOper;
import com.ruoyi.ss.payBill.domain.PayBillVO;
import com.ruoyi.ss.refund.domain.Refund;
import com.ruoyi.ss.refund.domain.RefundVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderVO extends Order {

    /** 店铺地址 */
    private String storeAddress;

    /** 房间图片 */
    private String picture;

    /** 套餐 */
    private FeeRuleVO rule;

    /** 操作履历 */
    private List<OrderOper> orderOpers;

    /** 可退款金额 */
    private BigDecimal refundableTotalAmount;

    /** 每小时价格 */
    private String hourPrice;

    /** 商户电话 */
    private String merchantPhone;

    /** 退款列表 */
    private List<Refund> refunds;

    /** 支付单号 */
    private String payNo;

    /** 支付单对象 */
    private PayBillVO payBillVO;

    /** 大门在线状态 */
    private String gateOnlineStatus;

    /** 大门开锁方式: 1-通电开锁；2-断电开锁 */
    private String gateUnlockMode;

    /** 大门开锁时长：秒 */
    private Integer gateUnlockTime;

}
