package com.ruoyi.ss.order.domain.dto;

import com.ruoyi.common.constant.DictTypeConstants;
import com.ruoyi.system.valid.DictValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CardOrderDTO {

    @ApiModelProperty("卡id")
    @NotNull(message = "卡id不允许为空")
    private Long cardId;

    @ApiModelProperty("支付方式：wx-微信，alipay-支付宝，ye-余额支付")
    @NotBlank(message = "支付方式不允许为空")
    @DictValid(type = DictTypeConstants.PAY_TYPE, message = "非法的支付方式")
    private String payType;

    @ApiModelProperty("appid")
    @NotNull(message = "appid不能为空")
    private Long appid;
}
