package com.ruoyi.ss.order.domain.dto;

import com.ruoyi.common.constant.DictTypeConstants;
import com.ruoyi.system.valid.DictValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class ProductDTO {

    @ApiModelProperty("商品id")
    @NotNull(message = "商品id不允许为空")
    private Long productId;

    @ApiModelProperty("房间id")
    @NotNull(message = "房间id不允许为空")
    private Long roomId;

    @ApiModelProperty("支付方式：wx-微信，alipay-支付宝，ye-余额支付")
    @NotBlank(message = "支付方式不允许为空")
    @DictValid(type = DictTypeConstants.PAY_TYPE, message = "非法的支付方式")
    private String payType;

    @ApiModelProperty("订单类型：1-预定单；2-续单;3-余额充值;4-货柜订单")
    @NotBlank(message = "订单类型不允许为空")
    @DictValid(type = DictTypeConstants.ORDER_TYPE, message = "非法的订单类型")
    private String type;

}
