package com.ruoyi.ss.order.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class TopUpOrderDTO {

    @ApiModelProperty("充值金额")
    @NotNull(message = "充值金额不允许为空")
    @DecimalMin(value = "0.0", message = "金额不能小于0")
    private BigDecimal amount;

    @ApiModelProperty("店铺id")
    @NotNull(message = "店铺id不允许为空")
    private Long storeId;
}
