package com.ruoyi.ss.reconciliation.domain;

import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台对账对象 ss_reconciliation
 *
 * @author qzz
 * @date 2025-03-11
 */
@Data
public class Reconciliation extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long reconciliationId;

    @Excel(name = "渠道id")
    @ApiModelProperty("渠道id")
    private Long channel;

    @Excel(name = "渠道名称")
    @ApiModelProperty("渠道名称")
    private String channelName;

    @Excel(name = "类型：1-支付；2-提现")
    @ApiModelProperty("类型：1-支付；2-提现")
    private Integer type;

    @Excel(name = "对账日期")
    @ApiModelProperty("对账日期")
    private String day;

    // 订单
    @Excel(name = "订单支付金额")
    @ApiModelProperty("订单支付金额")
    private BigDecimal orderPaid;

    @Excel(name = "订单退款金额")
    @ApiModelProperty("订单退款金额")
    private BigDecimal orderRefund;

    @Excel(name = "实收金额")
    @ApiModelProperty("实收金额")
    private BigDecimal settlementAmount;

    // 用户
    @Excel(name = "用户分成")
    @ApiModelProperty("用户分成")
    private BigDecimal userDivide;

    @Excel(name = "用户退款")
    @ApiModelProperty("用户退款")
    private BigDecimal userRefund;

    @Excel(name = "用户提现金额")
    @ApiModelProperty("用户提现金额")
    private BigDecimal userWithdrawAmount;

    @Excel(name = "用户结算")
    @ApiModelProperty("用户结算")
    private BigDecimal userSettlement;

    // 平台
    @Excel(name = "平台服务费")
    @ApiModelProperty("平台服务费")
    private BigDecimal platformServiceFee;

    @Excel(name = "提现服务费")
    @ApiModelProperty("提现服务费")
    private BigDecimal withdrawServiceFee;

    @Excel(name = "渠道成本")
    @ApiModelProperty("渠道成本")
    private BigDecimal channelCost;

    @Excel(name = "平台收益")
    @ApiModelProperty("平台收益")
    private BigDecimal platformRevenue;

    @Excel(name = "订单数")
    @ApiModelProperty("订单数")
    private Integer orderCount;

    @Excel(name = "用户余额")
    @ApiModelProperty("用户余额")
    private BigDecimal userBalance;

}
