package com.ruoyi.ss.reconciliation.mapper;

import java.util.List;
import com.ruoyi.ss.reconciliation.domain.Reconciliation;
import com.ruoyi.ss.reconciliation.domain.ReconciliationVO;
import com.ruoyi.ss.reconciliation.domain.ReconciliationQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 平台对账Mapper接口
 *
 * @author qzz
 * @date 2025-03-11
 */
public interface ReconciliationMapper
{
    /**
     * 查询平台对账
     *
     * @param reconciliationId 平台对账主键
     * @return 平台对账
     */
    public ReconciliationVO selectSsReconciliationByReconciliationId(Long reconciliationId);

    /**
     * 查询平台对账列表
     *
     * @param query 平台对账
     * @return 平台对账集合
     */
    public List<ReconciliationVO> selectSsReconciliationList(@Param("query")ReconciliationQuery query);

    /**
     * 查询平台对账列表
     *
     * @param query 平台对账
     * @return 平台对账集合
     */
    public List<ReconciliationVO> selectReconciliationListGroupBy(@Param("query")ReconciliationQuery query);

    /**
     * 新增平台对账
     *
     * @param ssReconciliation 平台对账
     * @return 结果
     */
    public int insertSsReconciliation(Reconciliation ssReconciliation);

    /**
     * 修改平台对账
     *
     * @param ssReconciliation 平台对账
     * @return 结果
     */
    public int updateSsReconciliation(@Param("data") Reconciliation ssReconciliation);

    /**
     * 删除平台对账
     *
     * @param reconciliationId 平台对账主键
     * @return 结果
     */
    public int deleteSsReconciliationByReconciliationId(Long reconciliationId);

    /**
     * 批量删除平台对账
     *
     * @param reconciliationIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSsReconciliationByReconciliationIds(Long[] reconciliationIds);
}
