package com.ruoyi.ss.reconciliation.service;

import java.util.List;
import com.ruoyi.ss.reconciliation.domain.Reconciliation;
import com.ruoyi.ss.reconciliation.domain.ReconciliationVO;
import com.ruoyi.ss.reconciliation.domain.ReconciliationQuery;

/**
 * 平台对账Service接口
 *
 * @author qzz
 * @date 2025-03-11
 */
public interface IReconciliationService
{
    /**
     * 查询平台对账
     *
     * @param reconciliationId 平台对账主键
     * @return 平台对账
     */
    public ReconciliationVO selectSsReconciliationByReconciliationId(Long reconciliationId);

    /**
     * 查询平台对账列表
     *
     * @param reconciliation 平台对账
     * @return 平台对账集合
     */
    public List<ReconciliationVO> selectSsReconciliationList(ReconciliationQuery reconciliation);

    /**
     * 查询平台对账列表
     *
     * @param reconciliation 平台对账
     * @return 平台对账集合
     */
    public List<ReconciliationVO> selectReconciliationListGroupBy(ReconciliationQuery reconciliation);

    /**
     * 新增平台对账
     *
     * @param reconciliation 平台对账
     * @return 结果
     */
    public int insertSsReconciliation(Reconciliation reconciliation);

    /**
     * 修改平台对账
     *
     * @param reconciliation 平台对账
     * @return 结果
     */
    public int updateSsReconciliation(Reconciliation reconciliation);

    /**
     * 批量删除平台对账
     *
     * @param reconciliationIds 需要删除的平台对账主键集合
     * @return 结果
     */
    public int deleteSsReconciliationByReconciliationIds(Long[] reconciliationIds);

    /**
     * 删除平台对账信息
     *
     * @param reconciliationId 平台对账主键
     * @return 结果
     */
    public int deleteSsReconciliationByReconciliationId(Long reconciliationId);
}
