package com.ruoyi.ss.refund.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 退款订单对象 et_refund
 *
 * @author 邱贞招
 * @date 2024-05-10
 */
@Data
public class Refund extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 退款单号 */
    @Excel(name = "退款单号")
    private String refundNo;

    /** 支付单号 */
    @ApiModelProperty("payId")
    private Long payId;

    /** 用户ID */
    @ApiModelProperty("用户ID")
    private Long userId;

    /** 用户 */
    @ApiModelProperty("用户名")
    private String userName;

    /** 用户类型 */
    @ApiModelProperty("用户类型")
    private String userType;

    @ApiModelProperty("退款订单状态：1-退款中；2-退款成功；3-退款失败")
    private String status;

    /** 退款金额 */
    @ApiModelProperty("退款金额")
    private BigDecimal amount;

    /** 退款原因 */
    @Excel(name = "退款原因")
    @ApiModelProperty("退款原因")
    private String reason;

    /** 退款结果（回调） */
    @ApiModelProperty("退款结果（回调）")
    private String refundResult;

    /** 商户id */
    @ApiModelProperty("商户id")
    private Long merchantId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("处理时间")
    private Date operTime;

}
