package com.ruoyi.ss.refund.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class RefundDTO {

    /** 支付单号 */
    @ApiModelProperty("payId")
    private Long payId;

    @ApiModelProperty("退款金额")
    @NotNull(message = "退款金额不能为空", groups = {ValidGroup.Create.class})
    @Min(value = 0, message = "退款金额不能小于0元", groups = {ValidGroup.Create.class})
    private BigDecimal amount;

    /** 退款原因 */
    @Excel(name = "退款原因")
    @ApiModelProperty("退款原因")
    private String reason;

}
