package com.ruoyi.ss.room.domain;

import com.ruoyi.ss.equipment.domain.EquipmentVO;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.order.domain.vo.ReservedTimePeriod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RoomVO extends Room {

    /* 每小时价格 */
    @ApiModelProperty("每小时价格")
    private BigDecimal hour;

    /* 已售数量 */
    @ApiModelProperty("已售数量")
    private Integer soldNum;

    /* 总营收 */
    @ApiModelProperty("总营收")
    private BigDecimal totalIncome;

    /* 最低价格套餐对象 */
    @ApiModelProperty("最低价格套餐对象")
    private FeeRuleVO bottomPriceFeeRule;

    /* 已预定时间段 */
    @ApiModelProperty("已预定时间段")
    private List<ReservedTimePeriod> reservedTimePeriods;

    /* 套餐对象数组 */
    @ApiModelProperty("套餐对象数组")
    private List<FeeRuleVO> feeRules;

    @ApiModelProperty("设施列表")
    private List<EquipmentVO> equipmentList;

    @ApiModelProperty("sn")
    private String sn;

    @ApiModelProperty("deviceId")
    private Long deviceId;

    @ApiModelProperty("收费模式")
    private String billingMode;

    /* 商户名 */
    @ApiModelProperty("商户名")
    private String merchantName;

    @ApiModelProperty("二维码文本")
    private String qrText;

}
