package com.ruoyi.ss.store.domain;

import com.ruoyi.ss.carousel.domain.CarouselVO;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.toilet.domain.ToiletVO;
import com.ruoyi.system.domain.vo.InCome;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class StoreVO extends Store {

    private String cityName;

    /** 房间列表 */
    private List<RoomVO> roomList;

    /** 大厅设施 */
    private List<RoomVO> hallEquList;

    /** 卫生间列表 */
    private List<ToiletVO> toiletList;

    /** 空闲房间数 */
    private int idleRoomNum;

    /** 大厅空闲设施数 */
    private int idleEquipmentNum;

    /** 卫生间数 */
    private int toiletNum;

    /** 商户名 */
    private String merchantName;

    /** 距离公里 */
    private Double distance;

    /** 轮播图列表 */
    private List<CarouselVO> carouselList;

    private Gate gate;

    // 添加字段： 今日收入、本月收入、总设备数、总营收、房间总数、正在使用中的房间数、设施总数、正在使用中的设施数
    // 添加注释
    /** 今日收入 */
    private BigDecimal todayIncome;

    /** 今日订单数 */
    private Integer todayOrderNum;

    /** 本月收入 */
    private BigDecimal monthIncome;

    /** 总营收 */
    private BigDecimal totalIncome;

    /** 房间总数 */
    private int totalRoomNum;

    /** 正在使用中的房间数 */
    private int usingRoomNum;

    /** 设施总数 */
    private int totalFacilities;

    /** 正在使用中的设施数 */
    private int usingFacilityNum;

    /** 总设备数 */
    private int totalDeviceNum;

    @ApiModelProperty("二维码文本")
    private String qrText;

    @ApiModelProperty("营收列表")
    private List<InCome> inComeList;

}
