package com.ruoyi.ss.toilet.domain;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 卫生间对象 ss_toilet
 *
 * @author qzz
 * @date 2025-01-07
 */
@Data
public class Toilet extends BaseEntity{

    private static final long serialVersionUID = 1L;

    @NotNull(message = "卫生间id不能为空", groups = {ValidGroup.Update.class})
    private Long toiletId;

    @Excel(name = "卫生间名称")
    @ApiModelProperty("卫生间名称")
    @NotBlank(message = "卫生间名称不能为空", groups = {ValidGroup.Create.class})
    private String name;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    @NotNull(message = "店铺id不能为空", groups = {ValidGroup.Create.class})
    private Long storeId;

    @Excel(name = "店铺名")
    @ApiModelProperty("店铺名")
    private String storeName;

    @Excel(name = "开锁方式")
    @ApiModelProperty("开锁方式")
    private String unlockMode;

    @Excel(name = "开锁条件")
    @ApiModelProperty("开锁条件")
    private String unlockCondition;

    @Excel(name = "开锁时长")
    @ApiModelProperty("开锁时长")
    private Integer unlockTime;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String status;

    @Excel(name = "卫生间码")
    @ApiModelProperty("卫生间码")
    private String code;

    @Excel(name = "商户id")
    @ApiModelProperty("商户id")
    private Long merchantId;

    @Excel(name = "设备")
    @ApiModelProperty("设备")
    private Long deviceId;

}
