package com.ruoyi.ss.user.domain;

import com.ruoyi.common.core.domain.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class UserQuery extends User {

    private String[] typeList;

    private Long agentId;

    /** 城市id */
    private Long cityId;

    /** 分红比例：百分比 */
    private BigDecimal dividendProportion;

    /** 分账状态 */
    private Boolean dividendStatus;

    /** 服务费收取类型 */
    private String handlingChargeType;

    /** 服务费 */
    private BigDecimal withdrawHandlingCharge;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;
}
