package com.ruoyi.ss.user.domain;

import com.ruoyi.common.core.domain.entity.User;
import com.ruoyi.system.domain.vo.DailyVo;
import com.ruoyi.system.domain.vo.InCome;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用户对象 et_user
 *
 * @author qiuzhenzhao
 */
@Data
public class UserVO extends User
{

    /** 累计提现金额 */
    private BigDecimal totalWithdrawAmount = new BigDecimal("0.00");

    /** 可提现金额 */
    private BigDecimal withdrawalAmount;

    /** 最后账变描述 */
    private String lastChangeBalanceDesc;

    /** 用户余额 */
    private BigDecimal balance;

    /** 店铺名称 */
    private String storeName;

    /** 店铺数 */
    private int storeNum;

    /** 房间数 */
    private int roomNum;

    /** 设施数 */
    private int equNum;

    /** 设备数 */
    private int deviceNum;

    /** 总收入 */
    private BigDecimal totalIncome;

    /** 总消费 */
    private BigDecimal totalConsume;

    /** 日报表 */
    private List<InCome> inComeList;
}
