package com.ruoyi.ss.userCard.mapper;

import java.util.List;
import com.ruoyi.ss.userCard.domain.UserCard;
import com.ruoyi.ss.userCard.domain.UserCardVO;
import com.ruoyi.ss.userCard.domain.UserCardQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 用户卡券Mapper接口
 *
 * @author qzz
 * @date 2025-03-19
 */
public interface UserCardMapper
{
    /**
     * 查询用户卡券
     *
     * @param recordId 用户卡券主键
     * @return 用户卡券
     */
    public UserCardVO selectUserCardById(Long recordId);

    /**
     * 查询用户卡券列表
     *
     * @param query 用户卡券
     * @return 用户卡券集合
     */
    public List<UserCardVO> selectUserCardList(@Param("query") UserCardQuery query);

    /**
     * 新增用户卡券
     *
     * @param cardGetRecords 用户卡券
     * @return 结果
     */
    public int insertUserCard(UserCard cardGetRecords);

    /**
     * 修改用户卡券
     *
     * @param cardGetRecords 用户卡券
     * @return 结果
     */
    public int updateUserCard(@Param("data") UserCard cardGetRecords);

    /**
     * 删除用户卡券
     *
     * @param recordId 用户卡券主键
     * @return 结果
     */
    public int deleteUserCardById(Long recordId);

    /**
     * 批量删除用户卡券
     *
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserCardByIds(Long[] recordIds);
}
