package com.ruoyi.ss.wifi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * wifi对象 ss_wifi
 *
 * @author qzz
 * @date 2025-01-06
 */
@Data
public class Wifi extends BaseEntity{

    private static final long serialVersionUID = 1L;

    @NotNull(message = "Id不能为空", groups = {ValidGroup.Update.class})
    private Long wifiId;

    @Excel(name = "wifi")
    @ApiModelProperty("wifi")
    @NotBlank(message = "wifi名不能为空", groups = {ValidGroup.Create.class})
    private String wifi;

    @Excel(name = "密码")
    @ApiModelProperty("密码")
    @NotBlank(message = "密码不能为空", groups = {ValidGroup.Create.class})
    private String password;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "商户id")
    @ApiModelProperty("商户id")
    private Long merchantId;

}
