package com.ruoyi.ss.withdraw.domain.dto;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 商户提现
 * @author wjh
 * 2024/7/27
 */
@Data
public class MchWithdrawDTO {

    @ApiModelProperty("提现金额")
    @NotNull(message = "提现金额不能为空")
    @Min(value = 0, message = "提现金额不能小于0",groups = {ValidGroup.Withdraw.class})
    private BigDecimal amount;
//
//    @ApiModelProperty("提现渠道")
//    @NotNull(message = "提现渠道不能为空")
//    private Long withdrawChannelId;

    @ApiModelProperty("用户提现渠道")
    @NotNull(message = "用户提现渠道不能为空")
    private Long userWithdrawChannelId;

}
